Sisimai::Reason::Undefined(3pm)

NAME
Sisimai::Reason::Undefined - Sisimai could not detect the error reason.

SYNOPSIS
    use Sisimai::Reason::Undefined;
    print Sisimai::Reason::Undefined->text; # undefined

DESCRIPTION
"Sisimai::Reason::Undefined" is for only returning the text and the description. This class is called only from "Sisimai-"reason()> method.

CLASS METHODS

  "text()"
text() method returns the fixed string "undefined".

    print Sisimai::Reason::Undefined->text;  # undefined

  "match(string)"
match() method always return "undef"

  "true(Sisimai::Fact)"
true() method always return "undefZ"

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2016,2020,2021,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.